/* ==================================================
   GLOBAL VARIABLES
   ================================================== */
:root {
    --primary-color: #732c26;
    --secondary-color: #891c2f;
    --accent-color: #fff006;
    --text-color: #333;
    --border-color: #e0e0e0;
}

html {
    background-image: linear-gradient(rgba(255, 255, 255, 0.5), 
    rgba(255, 255, 255, 0.5)), 
    url('https://e-journal.infojurnalindo.com/public/site/images/icanmandala/BATIK_JURNAL_IJ.png'); 
background-size: 250px;
background-repeat: repeat;
}
body {
    background: none;
    font-family: var(--font-body);
    color: var(--text-color);
    font-size: 15px;
}

a {
    color: var(--primary-color);
}
a:hover {
    color: var(--secondary-color);
}

/* ==================================================
   TYPOGRAPHY
   ================================================== */
h1, h2, h3, h4, h5 {
    font-family: var(--font-heading);
    color: var(--primary-color);
}

/* ==================================================
   PAGE STRUCTURE (BOXED LAYOUT)
   ================================================== */
.pkp_structure_page {
    max-width: 1160px;
    margin: 20px auto;
    background: #fff;
    border-radius: 0px;
    box-shadow: 0 0 20px var(--primary-color);
    overflow: hidden;
}

.pkp_structure_head {
    background-color: transparent;
    border-bottom: none;
}

.pkp_structure_content,
.pkp_structure_footer,
.pkp_site_name_wrapper,
.pkp_search_mobile {
    width: 100%;
    margin: 0 auto;
}
.pkp_structure_main:after {
    display: none;
}

.has_sidebar {
    padding: 0px 0px 0px 0px;
}

/* ==================================================
   HEADER (SITE NAME)
   ================================================== */
.pkp_head_wrapper {
    padding-top: 0px !important;
}
.pkp_site_name_wrapper {
    background: #125a72;
    padding: 0px;
}

.pkp_site_name,
.pkp_site_name a {
    color: white !important;
    background: #891c2f;
    padding: 0px !important;
}

.pkp_site_name .is_img {
    margin-top: 0;
    margin-bottom: 0;
}

.pkp_site_name .is_img img {
    max-height: max-content;
}
.pkp_nav_list ul a {
    color: white !important;
    background: var(--primary-color);
}
.pkp_nav_list ul a:hover {
    background: #fae8ce;
    border-color: #d33f40 !important;
    color: var(--primary-color) !important;
}

/* ==================================================
   PRIMARY NAVIGATION
   ================================================== */
.pkp_navigation_primary_wrapper {
    margin: 0 auto;
    padding-left: 29px;
    padding-right: 0px;
    background: #891c2f;
}

.pkp_navigation_primary a {
    color: white !important;
    background: #891c2f;
}
.pkp_navigation_primary>li:last-child a {
    margin-right: 0px
}

.pkp_navigation_primary a:hover {
    color: var(--secondary-color) !important;
    background: var(--primary-color) !important
}

.pkp_navigation_primary > li > a:focus {
    background: var(--secondary-color) !important;
}
#navigationPrimary a {
    display: flex;
    align-items: center;
    justify-content: left;
    height: 40px;
    padding: 0 10px;
    text-decoration: none;
}

#navigationPrimary a:hover,
#navigationPrimary a:focus {
    color: #0D3AAD;
    background-color: white;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
}

type="search" {
    -webkit-appearance: textfield;
    outline-offset: -2px
}

type="search"::-webkit-search-cancel-button,type="search"]::-webkit-search-decoration {
    -webkit-appearance: none
}

/* ==================================================
   SIDEBAR
   ================================================== */
.pkp_structure_sidebar {
    padding-top: 17px;
    padding-left: 0px;
    padding-right: 30px;
    padding-bottom: 10px;
}

@media (min-width: 992px) {
    .pkp_block {
        padding: 0px 0px 5px 0px !important;
    }
}
/* --- Page Index Journal --- */
.page_index_journal {
    display: flex;
    flex-direction: column;
}
.additional_content {
    order: -1;
}


/* Header menu */
table tr:first-child td {
  transition: all 0.3s ease;
}

/* Item menu */
table tr td {
  transition: background-color 0.3s ease, transform 0.2s ease;
}

/* Hover effect */
table tr td:hover {
  background-color: #1f4d3e !important;
}

/* Hanya baris menu (bukan pertama & terakhir) */
table tr:not(:first-child):not(:last-child) td {
  transition: background-color 0.3s ease, transform 0.2s ease;
  cursor: pointer;
}

/* Hover */
table tr:not(:first-child):not(:last-child) td:hover {
  background-color: #1f4d3e !important;
}

/* Klik */
table tr:not(:first-child):not(:last-child) td:active {
  background-color: #ffc700 !important;
  transform: scale(0.97);
}

.pkp_structure_sidebar .pkp_block .title {
    font-family: helvetica, calibri;
    background: #02bd18;
    border-left: 20px solid;
  border-color: #014325; 
    padding: 10px 5px;
    border-radius: 5px;
    color: #ffffff; /* ini untuk warna teks putih */
  
}

h1, h2, h3, h4, h5, h6 {
    font-family: helvetica, calibri;
    color: #ffffff; /* ini juga jadi putih */
}

/* footer */
.pkp_structure_footer .pkp_footer_content { background: #0f8486;
    padding: 10px;
    box-shadow: 0 0 0 100vmax #0f8486;
    clip-path: inset(0 -100vmax);
}
.pkp_structure_footer .pkp_footer_content p {margin: 0}
.pkp_structure_footer .pkp_brand_footer { background: #ff751f;
    padding: 10px;
    box-shadow: 0 0 0 100vmax #ff751f;
    clip-path: inset(0 -100vmax);
}
.pkp_structure_footer .pkp_brand_footer img {width: 100px; height: auto;}
.pkp_structure_footer .pkp_footer_content img {width: 30px; height:30px;}
.pkp_structure_footer .pkp_footer_content div.logo img{width: 30px; height:30px;}
.pkp_structure_footer .pkp_footer_content div.logo2 img{width: 30px; height:30px;}